Generates a random key

- « sodium_crypto_core_ristretto255_is_valid_point

- sodium_crypto_core_ristretto255_scalar_add »

- PHP Manual
- Sodium Functions
- Generates a random key

# sodium_crypto_core_ristretto255_random

(PHP 8 >= 8.1.0)

sodium_crypto_core_ristretto255_random — Generates a random key

### Description

sodium_crypto_core_ristretto255_random(): string

Generates a random key. Available as of libsodium 1.0.18.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns a 32-byte random string.

### Examples

Example #1 sodium_crypto_core_ristretto255_random() example

    <?php$foo = sodium_crypto_core_ristretto255_random();$bar = sodium_crypto_core_ristretto255_random();$value = sodium_crypto_core_ristretto255_add($foo, $bar);$value = sodium_crypto_core_ristretto255_sub($value, $bar);var_dump(hash_equals($foo, $value));?>

The above example will output:

    bool(true)

### See Also

- sodium_crypto_core_ristretto255_add() - Adds an element
- sodium_crypto_core_ristretto255_sub() - Subtracts an element